from pydantic_settings import BaseSettings
from pathlib import Path


class Settings(BaseSettings):
    API_V1_STR: str = "/api/v1"
    PROJECT_NAME: str = "Generic REST API Service"
    DESCRIPTION: str = "A generic REST API service built with FastAPI and SQLite"
    VERSION: str = "0.1.0"
    
    # CORS
    BACKEND_CORS_ORIGINS: list[str] = ["*"]
    
    # Server settings
    HOST: str = "0.0.0.0"
    PORT: int = 8000
    RELOAD: bool = True
    
    # Database
    DB_DIR = Path("/app") / "storage" / "db"
    
    class Config:
        case_sensitive = True


settings = Settings()